__gnu_pbds::detail::bin_search_tree_const_node_it_< Node, Const_Iterator, Iterator, _Alloc >(3)

NAME
__gnu_pbds::detail::bin_search_tree_const_node_it_< Node, Const_Iterator, Iterator, _Alloc > -

SYNOPSIS

Inherited by __gnu_pbds::detail::bin_search_tree_node_it_< Node, Const_Iterator, Iterator, _Alloc >.

  Public Types
typedef Const_Iterator const_reference
typedef
trivial_iterator_difference_type difference_type"
typedef trivial_iterator_tag iterator_category
typedef _Alloc::template
rebind< metadata_type >
::other::const_reference metadata_const_reference"
typedef Node::metadata_type metadata_type
typedef Const_Iterator reference
typedef Const_Iterator value_type

  Public Member Functions
bin_search_tree_const_node_it_ (const node_pointer p_nd=0)
bin_search_tree_const_node_it_
< Node, Const_Iterator,
Iterator, _Alloc > get_l_child () const "
metadata_const_reference get_metadata () const
bin_search_tree_const_node_it_
< Node, Const_Iterator,
Iterator, _Alloc > get_r_child () const "
bool operator!= (const bin_search_tree_const_node_it_< Node, Const_Iterator, Iterator, _Alloc > &other) const
const_reference operator* () const
bool operator== (const bin_search_tree_const_node_it_< Node, Const_Iterator, Iterator, _Alloc > &other) const

  Public Attributes
node_pointer m_p_nd

Detailed Description

  template<typename Node, class Const_Iterator, class Iterator, typename _Alloc>class __gnu_pbds::detail::bin_search_tree_const_node_it_< Node, Const_Iterator, Iterator, _Alloc >
Const node iterator.

Definition at line 58 of file bin_search_tree_/node_iterators.hpp.

Member Typedef Documentation

  template<typename Node , class Const_Iterator , class Iterator , typename _Alloc > typedef Const_Iterator __gnu_pbds::detail::bin_search_tree_const_node_it_< Node, Const_Iterator, Iterator, _Alloc >::const_reference

Iterator's __const reference type.

Definition at line 80 of file bin_search_tree_/node_iterators.hpp.

  template<typename Node , class Const_Iterator , class Iterator , typename _Alloc > typedef trivial_iterator_difference_type __gnu_pbds::detail::bin_search_tree_const_node_it_< Node, Const_Iterator, Iterator, _Alloc >::difference_type

Difference type.

Definition at line 71 of file bin_search_tree_/node_iterators.hpp.

  template<typename Node , class Const_Iterator , class Iterator , typename _Alloc > typedef trivial_iterator_tag __gnu_pbds::detail::bin_search_tree_const_node_it_< Node, Const_Iterator, Iterator, _Alloc >::iterator_category

Category.

Definition at line 68 of file bin_search_tree_/node_iterators.hpp.

  template<typename Node , class Const_Iterator , class Iterator , typename _Alloc > typedef _Alloc::template rebind<metadata_type>::other::const_reference __gnu_pbds::detail::bin_search_tree_const_node_it_< Node, Const_Iterator, Iterator, _Alloc >::metadata_const_reference

Const metadata reference type.

Definition at line 88 of file bin_search_tree_/node_iterators.hpp.

  template<typename Node , class Const_Iterator , class Iterator , typename _Alloc > typedef Node::metadata_type __gnu_pbds::detail::bin_search_tree_const_node_it_< Node, Const_Iterator, Iterator, _Alloc >::metadata_type

Metadata type.

Definition at line 83 of file bin_search_tree_/node_iterators.hpp.

  template<typename Node , class Const_Iterator , class Iterator , typename _Alloc > typedef Const_Iterator __gnu_pbds::detail::bin_search_tree_const_node_it_< Node, Const_Iterator, Iterator, _Alloc >::reference

Iterator's reference type.

Definition at line 77 of file bin_search_tree_/node_iterators.hpp.

  template<typename Node , class Const_Iterator , class Iterator , typename _Alloc > typedef Const_Iterator __gnu_pbds::detail::bin_search_tree_const_node_it_< Node, Const_Iterator, Iterator, _Alloc >::value_type

Iterator's value type.

Definition at line 74 of file bin_search_tree_/node_iterators.hpp.

Member Function Documentation

  template<typename Node , class Const_Iterator , class Iterator , typename _Alloc > bin_search_tree_const_node_it_<Node, Const_Iterator, Iterator, _Alloc> __gnu_pbds::detail::bin_search_tree_const_node_it_< Node, Const_Iterator, Iterator, _Alloc >::get_l_child () const [inline]

Returns the __const node iterator associated with the left node.

Definition at line 107 of file bin_search_tree_/node_iterators.hpp.

  template<typename Node , class Const_Iterator , class Iterator , typename _Alloc > metadata_const_reference __gnu_pbds::detail::bin_search_tree_const_node_it_< Node, Const_Iterator, Iterator, _Alloc >::get_metadata () const [inline]

Metadata access.

Definition at line 102 of file bin_search_tree_/node_iterators.hpp.

  template<typename Node , class Const_Iterator , class Iterator , typename _Alloc > bin_search_tree_const_node_it_<Node, Const_Iterator, Iterator, _Alloc> __gnu_pbds::detail::bin_search_tree_const_node_it_< Node, Const_Iterator, Iterator, _Alloc >::get_r_child () const [inline]

Returns the __const node iterator associated with the right node.

Definition at line 112 of file bin_search_tree_/node_iterators.hpp.

  template<typename Node , class Const_Iterator , class Iterator , typename _Alloc > bool __gnu_pbds::detail::bin_search_tree_const_node_it_< Node, Const_Iterator, Iterator, _Alloc >::operator!= (const bin_search_tree_const_node_it_< Node, Const_Iterator, Iterator, _Alloc > &other) const [inline]

Compares (negatively) to a different iterator object.

Definition at line 122 of file bin_search_tree_/node_iterators.hpp.

  template<typename Node , class Const_Iterator , class Iterator , typename _Alloc > const_reference __gnu_pbds::detail::bin_search_tree_const_node_it_< Node, Const_Iterator, Iterator, _Alloc >::operator* () const [inline]

Access.

Definition at line 97 of file bin_search_tree_/node_iterators.hpp.

  template<typename Node , class Const_Iterator , class Iterator , typename _Alloc > bool __gnu_pbds::detail::bin_search_tree_const_node_it_< Node, Const_Iterator, Iterator, _Alloc >::operator== (const bin_search_tree_const_node_it_< Node, Const_Iterator, Iterator, _Alloc > &other) const [inline]

Compares to a different iterator object.

Definition at line 117 of file bin_search_tree_/node_iterators.hpp.

Author

Generated automatically by Doxygen for libstdc++ from the source code.